apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Values.deployment.name }}
  labels:
    app: {{ .Values.deployment.name }}
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: {{ .Values.deployment.name }}
  template:
    metadata:
      labels:
        app: {{ .Values.deployment.name }}
    spec:
      containers:
        - name: {{ .Values.deployment.name }}
          image: {{ .Values.image.repository }}
          ports:
            - containerPort: {{ .Values.service.port}}
          env:
            - name: EBSI_ENV
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: EBSI_ENV_V3
            - name: API_KID
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: API_KID
            - name: LOGIN_USERNAME
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: LOGIN_USERNAME
            - name: LOGIN_PASSWORD
              valueFrom:
                configMapKeyRef:
                  name: mongodb-configmap
                  key: LOGIN_PASSWORD
            - name: KEYCLOAK_SECRET
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: keycloak-backend-verifier-v3-password
            - name: API_PRIVATE_KEY
              valueFrom:
                secretKeyRef:
                  name: mongodb-secret
                  key: API_PRIVATE_KEY
            - name: API_URL_PREFIX
              value: verifier
            - name: API_URL
              value: https://v3.backoffice.verifier.pda1.demo.esspass-poc.eu/verifier
